Bug 472196 - Fedora 10 evolution fails to start
Fedora 10 evolution fails to start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 05:34 EST by David Jansen
Modified: 2009-01-30 07:54 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.24.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-30 07:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jansen 2008-11-19 05:34:56 EST
Description of problem:
After upgrading to Fedora 10 preview (i386), evolution fails to start.

Version-Release number of selected component (if applicable):
evolution-2.24.1-2.fc10.i386

How reproducible:
So far, every time I start evolution, the same crash happens.

Steps to Reproduce:
1. start evolution
2. crash
  
Actual results:
RSS Plugin enabled (evolution 2.24, evolution-rss 0.1.1)

(evolution:19920): camel-WARNING **: camel_exception_get_id called with NULL parameter.
*** glibc detected *** evolution: munmap_chunk(): invalid pointer: 0x01952be0 ***
======= Backtrace: =========
/lib/libc.so.6[0x19b5394]
/lib/libglib-2.0.so.0(g_free+0x36)[0x1250716]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x1bfb53a]
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so[0x1bfb6e5]
evolution[0x805d25c]
/usr/lib/xulrunner-1.9/libxul.so[0xb5dbae41]
[0x130400]
/lib/libglib-2.0.so.0(g_str_hash+0x7)[0x126b827]
/lib/libglib-2.0.so.0[0x123a538]
/usr/lib/libcamel-provider-1.2.so.14(camel_folder_summary_migrate_infos+0x177)[0x2f30b7]
/usr/lib/evolution/2.24/components/libevolution-mail.so[0x4af1788]
/usr/lib/evolution/2.24/components/libevolution-mail.so[0x4af1934]
/usr/lib/evolution/2.24/components/libevolution-mail.so(em_migrate+0x26b)[0x4af38ab]
/usr/lib/evolution/2.24/components/libevolution-mail.so[0x4b037ff]
/usr/lib/evolution/2.24/libeshell.so.0(_ORBIT_skel_small_GNOME_Evolution_Component_upgradeFromVersion+0x36)[0x137f66]
/usr/lib/libORBit-2.so.0(ORBit_c_stub_invoke+0x120)[0xcaefa0]
/usr/lib/evolution/2.24/libeshell.so.0(GNOME_Evolution_Component_upgradeFromVersion+0x95)[0x139a35]
evolution(e_shell_attempt_upgrade+0x406)[0x8054416]
evolution(e_shell_construct+0xe8)[0x80549f8]
evolution(e_shell_new+0x47)[0x8054b67]
evolution[0x805da40]
/lib/libglib-2.0.so.0[0x12462d1]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8)[0x1248208]
/lib/libglib-2.0.so.0[0x124b8b3]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1d2)[0x124bdd2]
/usr/lib/libbonobo-2.so.0(bonobo_main+0x63)[0xc23a13]
evolution(main+0x366)[0x805d5e6]
/lib/libc.so.6(__libc_start_main+0xe5)[0x195c6d5]
evolution[0x8050641]
======= Memory map: ========
00110000-00130000 r-xp 00000000 08:07 1768       /lib/ld-2.9.so
00130000-00131000 r-xp 00130000 00:00 0          [vdso]
00131000-00132000 r--p 00020000 08:07 1768       /lib/ld-2.9.so
00132000-00133000 rw-p 00021000 08:07 1768       /lib/ld-2.9.so
00133000-00141000 r-xp 00000000 08:07 50015      /usr/lib/evolution/2.24/libeshell.so.0.0.0
00141000-00143000 rw-p 0000d000 08:07 50015      /usr/lib/evolution/2.24/libeshell.so.0.0.0
00143000-00148000 r-xp 00000000 08:07 50023      /usr/lib/evolution/2.24/libetimezonedialog.so.0.0.0
00148000-00149000 rw-p 00004000 08:07 50023      /usr/lib/evolution/2.24/libetimezonedialog.so.0.0.0
00149000-001af000 r-xp 00000000 08:07 50013      /usr/lib/evolution/2.24/libemiscwidgets.so.0.0.0
001af000-001b4000 rw-p 00065000 08:07 50013      /usr/lib/evolution/2.24/libemiscwidgets.so.0.0.0
001b4000-001b9000 r-xp 00000000 08:07 13017      /usr/lib/libebackend-1.2.so.0.0.0
001b9000-001ba000 rw-p 00004000 08:07 13017      /usr/lib/libebackend-1.2.so.0.0.0
001ba000-001cb000 r-xp 00000000 08:07 10521      /usr/lib/libhal.so.1.0.0
001cb000-001cc000 rw-p 00010000 08:07 10521      /usr/lib/libhal.so.1.0.0
001cc000-001d3000 r-xp 00000000 08:07 11674      /usr/lib/libnotify.so.1.1.2
001d3000-001d4000 rw-p 00006000 08:07 11674      /usr/lib/libnotify.so.1.1.2
001d4000-001de000 r-xp 00000000 08:07 13035      /usr/lib/libgdata-1.2.so.1.0.0
001de000-001df000 rw-p 0000a000 08:07 13035      /usr/lib/libgdata-1.2.so.1.0.0
001df000-001e3000 r-xp 00000000 08:07 13037      /usr/lib/libgdata-google-1.2.so.1.0.0
001e3000-001e4000 rw-p 00003000 08:07 13037      /usr/lib/libgdata-google-1.2.so.1.0.0
001e4000-001f5000 r-xp 00000000 08:07 50021      /usr/lib/evolution/2.24/libetext.so.0.0.0
001f5000-001f6000 rw-p 00010000 08:07 50021      /usr/lib/evolution/2.24/libetext.so.0.0.0
001f6000-00274000 r-xp 00000000 08:07 50019      /usr/lib/evolution/2.24/libetable.so.0.0.0
00274000-00276000 rw-p 0007d000 08:07 50019      /usr/lib/evolution/2.24/libetable.so.0.0.0
00276000-0027e000 r-xp 00000000 08:07 50041      /usr/lib/evolution/2.24/libevolution-widgets-a11y.so.0.0.0
0027e000-0027f000 rw-p 00008000 08:07 50041      /usr/lib/evolution/2.24/libevolution-widgets-a11y.so.0.0.0
0027f000-00294000 r-xp 00000000 08:07 50027      /usr/lib/evolution/2.24/libevolution-a11y.so.0.0.0
00294000-00295000 rw-p 00015000 08:07 50027      /usr/lib/evolution/2.24/libevolutiMultiple segmentation faults occurred; can't display error dialog


Expected results:
a working mail client

Additional info:
Home directory is shared over nfs; on Fedora 8 & 9 clients I can still use evolution, with the same settings and mailboxes (so it is not just a damaged profile or so)
Comment 1 Bug Zapper 2008-11-26 00:35:51 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthew Barnes 2009-01-27 12:22:43 EST
Any luck with the latest Fedora 10 updates?
Comment 3 David Jansen 2009-01-30 05:20:52 EST
yes, it works again. sorry for not retesting earlier, I had switched to thuunderbird. But it's good to see that evolution is working again.
Comment 4 Matthew Barnes 2009-01-30 07:54:42 EST
Thanks for the update.  I'll close this then.

Note You need to log in before you can comment on or make changes to this bug.